Summary:	jQuery UI
Name:		jquery-ui
Version:	1.8.24
Release:	1
License:	MIT / GPL
Group:		Applications/WWW
Source0:	http://jquery-ui.googlecode.com/files/%{name}-%{version}.zip
# Source0-md5:	22fdebda6ebd3210f78e370e39d25c0c
Source1:	find-lang.sh
URL:		http://jqueryui.com/
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	unzip
Requires:	jquery >= 1.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/jquery/ui

%define		find_lang 	sh %{SOURCE1} %{buildroot}

%description
jQuery UI provides abstractions for low-level interaction and
high-level, themeable widgets, built on top of the jQuery JavaScript
Library, that you can use to build highly interactive web
applications.

%package demo
Summary:	Demo for jQuery UI
Summary(pl.UTF-8):	Pliki demonstracyjne dla pakietu jQuery UI
Group:		Development
Requires:	%{name} = %{version}-%{release}

%description demo
Demonstrations and samples for jQuery UI.

%package doc
Summary:	Manual for jQuery UI.
Summary(fr.UTF-8):	Documentation pour jQuery UI
Summary(it.UTF-8):	Documentazione di jQuery UI
Summary(pl.UTF-8):	Podręcznik dla jQuery UI
Group:		Documentation

%description doc
Documentation for jQuery UI.

%description doc -l fr.UTF-8
Documentation pour jQuery UI.

%description doc -l it.UTF-8
Documentazione di jQuery UI.

%description doc -l pl.UTF-8
Dokumentacja do jQuery UI.

%prep
%setup -q
%undos -f js,css,html

find ui/minified -name '*.min.js' | while read a; do
	mv $a ${a%.min.js}.js
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_examplesdir}/%{name}-%{version}}
cp -a ui/minified/* $RPM_BUILD_ROOT%{_appdir}
cp -a themes $RPM_BUILD_ROOT%{_appdir}
cp -a demos/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS.txt
%dir %{_appdir}
%{_appdir}/jquery.ui.*.js
%{_appdir}/jquery.effects.*.js
%{_appdir}/themes

# bundle of all effects
%{_appdir}/jquery-ui.js
# bundle of all languages
%{_appdir}/i18n/jquery-ui-i18n.js

%files demo
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%files doc
%doc docs/*
%changelog
* Fri Dec 07 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/jquery-ui.git;a=log;h=master

* Fri Dec 07 2012 Elan Ruusamäe <glen@delfi.ee> c0b147f
- up to 1.8.24

* Tue Sep 11 2012 Elan Ruusamäe <glen@delfi.ee> 220a030
- up to 1.8.23

* Tue Nov 22 2011 Elan Ruusamäe <glen@pld-linux.org> b90583e
- package doc

* Tue Nov 22 2011 Elan Ruusamäe <glen@pld-linux.org> 123922f
- up to 1.8.16

* Wed Jan 26 2011 Elan Ruusamäe <glen@pld-linux.org> 8907463
- up to 1.8.9

* Wed Jul 14 2010 Elan Ruusamäe <glen@pld-linux.org> a8d1b88
- update to 1.8.2

* Wed Jul 14 2010 Elan Ruusamäe <glen@pld-linux.org> fde117c
- up to 1.7.3

* Wed Jul 14 2010 Elan Ruusamäe <glen@pld-linux.org> eb6f1cf
- add et datepicker localization; rel 2

* Wed Jul 14 2010 Elan Ruusamäe <glen@pld-linux.org> eb7ded3
- include base theme, rel 1

* Fri Jun 04 2010 Elan Ruusamäe <glen@pld-linux.org> 3f63226
- typo

* Sun May 16 2010 sparky <sparky@pld-linux.org> e881192
- BR: unzip

* Fri Apr 09 2010 Elan Ruusamäe <glen@pld-linux.org> 1961436
- correct language code is et, adjust formatting

* Fri Apr 09 2010 Elan Ruusamäe <glen@pld-linux.org> 7e3a6dc
- save from http://g.delfi.ua/cl/js/jQuery/ui/ui.datepicker-ee.js

* Fri Apr 09 2010 Elan Ruusamäe <glen@pld-linux.org> fa2a161
- up to 1.7.2

* Tue Apr 07 2009 Elan Ruusamäe <glen@pld-linux.org> f53816f
- jquery 1.3+

* Tue Apr 07 2009 Elan Ruusamäe <glen@pld-linux.org> 6023c87
- update to 1.7.1 stable

* Tue Apr 07 2009 Elan Ruusamäe <glen@pld-linux.org> a8ad900
- up to 1.5.3, package to jquery 1.2.6 dirs

* Tue Apr 07 2009 Elan Ruusamäe <glen@pld-linux.org> 704d28d
- kill debug

* Tue Apr 07 2009 Elan Ruusamäe <glen@pld-linux.org> db75eeb
- based on fckeditor-find-lang.sh and dokuwiki-find-lang.sh

* Wed Oct 15 2008 Elan Ruusamäe <glen@pld-linux.org> a7caa88
- new and unfinished

